Bug Hunting Session
Bug 111734 - Sidebar character spacing popup: can't reach "Very Loose" item by arrow keys
Summary: Sidebar character spacing popup: can't reach "Very Loose" item by arrow keys
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0
Keywords: accessibility, difficultyBeginner, easyHack
Depends on:
Blocks:
 
Reported: 2017-08-12 17:02 UTC by Tamás Zolnai
Modified: 2017-09-03 05:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Character spacing popup with "Normal" item selected (92.75 KB, image/png)
2017-08-12 17:03 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-12 17:02:48 UTC
Description:
The sidebars' character spacing button opens a popup in which you can move between the simple types (Very Tight, Tight, Normal, Loose) by arrow keys, but "Very Loose" is not part of this path and so you can't step on it by the arrow keys.

Steps to Reproduce:
1. Open Impress
2. Add some text to title shape and select it
3. Open sidebar's character spacing popup ("Very Tight" is selected)
4. Move the selection by arrow keys

Actual Results:  
The last item called "Very Loose" can't be stepped on.

Expected Results:
The last item also should be accessible by arrow keys.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Tamás Zolnai 2017-08-12 17:03:23 UTC
Created attachment 135494 [details]
Character spacing popup with "Normal" item selected
Comment 2 Jacques Guilleron 2017-08-13 13:43:54 UTC
Hi Tamás,

Caonnot reach it too with 
LO 6.0.0.0.alpha0+ Build ID: 88179e3de8865ea07d5017ca0723afd10ad44ba7
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-06_23:49:25
Locale: fr-FR (fr_FR); Calc: CL
Comment 3 Tamás Zolnai 2017-08-15 01:20:03 UTC
Let's turn this into a easy hack. The code is here:
svx/uiconfig/ui/textcharacterspacingcontrol.ui
Needs only a relayouting of the buttons to be part of the same container unit.
Comment 4 Commit Notification 2017-08-31 21:59:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3c2968b78a653932a82324bebd4e3cfd69511ad

tdf#111734 Reorder buttons to reach them with the Down arrow

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.